Create a dataset
curl --request POST \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"params": {
"query": {
"source": "task",
"after": "2023-11-07T05:31:56Z",
"before": "2023-11-07T05:31:56Z",
"filters": {}
},
"sampling": {
"limit": 123
},
"split": {
"val": 0.5,
"by": "trace"
}
}
}
'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets"
payload = {
"name": "<string>",
"params": {
"query": {
"source": "task",
"after": "2023-11-07T05:31:56Z",
"before": "2023-11-07T05:31:56Z",
"filters": {}
},
"sampling": { "limit": 123 },
"split": {
"val": 0.5,
"by": "trace"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
params: {
query: {
source: 'task',
after: '2023-11-07T05:31:56Z',
before: '2023-11-07T05:31:56Z',
filters: {}
},
sampling: {limit: 123},
split: {val: 0.5, by: 'trace'}
}
})
};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"params": {
"query": {
"source": "task",
"after": "2023-11-07T05:31:56Z",
"before": "2023-11-07T05:31:56Z",
"filters": {
"task_version": 1073741824,
"resolved_provider": "<string>",
"resolved_model": "<string>",
"metadata": {}
}
},
"sampling": {
"strategy": "random",
"limit": 50000
},
"split": {
"val": 0.5,
"by": "trace"
}
},
"revision": 123,
"status": "building",
"build_progress": {
"stage": "discovering",
"processed": 123,
"total": 123,
"imported": 123
},
"entry_counts": {
"total": 123,
"train": 123,
"val": 123
},
"relabel_runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_revision": 123,
"model_ref": "openai/gpt-5.6-sol",
"status": "queued",
"output_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Create a dataset
POST
/
tasks
/
{alias}
/
datasets
Create a dataset
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Path Parameters
Pattern:
^[a-z0-9-]{1,64}$Body
application/json
Response
Dataset build was queued.
Show child attributes
Show child attributes
Available options:
building, ready, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 25, 2026
Was this page helpful?
⌘I